- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgTerrain::DataSet::CompositeSource::DefaultSourceAdvancer Struct Reference

List of all members.

## Public Member Functions
| DefaultSourceAdvancer ()
bool | isActive (const CompositeSource &composite, int index)
bool | advanceToNextSource (const CompositeSource &composite, int &index)

## Constructor & Destructor Documentation

osgTerrain::DataSet::CompositeSource::DefaultSourceAdvancer::DefaultSourceAdvancer | ( |  | ) | `[inline]`

## Member Function Documentation

bool osgTerrain::DataSet::CompositeSource::DefaultSourceAdvancer::advanceToNextSource | ( | const CompositeSource & | composite,
|  | int & | index
| ) | `[inline]`

bool osgTerrain::DataSet::CompositeSource::DefaultSourceAdvancer::isActive | ( | const CompositeSource & | composite,
|  | int | index
| ) | `[inline]`

The documentation for this struct was generated from the following file:

- DataSet